A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Fields
af_half Struct Reference

`#include <half.h>`

## Data Fields
union { |
unsigned short data_: 16 |
struct { |
unsigned short fraction: 10 |
unsigned short exponent: 5 |
unsigned short sign: 1 |
} |  |
}; |  |

## Detailed Description

Definition at line 12 of file half.h.

## Field Documentation

## ◆ [union]

union { ... }

## ◆ data_

unsigned short data_

Definition at line 14 of file half.h.

## ◆ exponent

unsigned short exponent

Definition at line 17 of file half.h.

## ◆ fraction

unsigned short fraction

Definition at line 16 of file half.h.

## ◆ sign

unsigned short sign

Definition at line 18 of file half.h.

The documentation for this struct was generated from the following file:

- half.h